Subject: Re: ppp on RH5.1 using netcfg (fwd)

From: [email-masked]
Date: Sat, 15 May 1999 03:21:55 -0400 (EDT)

Yeah, there were a couple minor changes I was supposed to make, left out a
few clicks here and there.  I went through it again on my RH5.2, so I
think it should be correct now.  I haven't gotten around to installing 6.0
yet so I don't know if anything has changed.  A couple things could be
done to update it.
1) Use PAP
2) Add another set of instructions for setting up ethernet in the dorm.

I'll probably do 1) sometime soon, but I won't be living in a dorm anymore
so I won't be able to do 2), well I won't be able to make sure it is 100%
correct.

It would be cool if you could post it on the umlug home page.

C-ya,
jj

Setting up ppp on RH5.2 using netcfg

0)
The following files are read/modified/used... by netcfg
/etc/sysconfig/network
/etc/sysconfig/network-scripts/*
/etc/resolv.conf

Make sure you haven't screwed them up.  If you have reinstall the
relevant rpm packages.

Here is my /etc/sysconfig/network

NETWORKING=yes
FORWARD_IPV4=no
HOSTNAME=localhost
GATEWAYDEV=
GATEWAY=

Make sure /dev/modem is a symbolic link to your modem.
lrwxrwxrwx   1 root     root            4 Aug  1 12:09 /dev/modem -> cua3

1)
Run netcfg as root.  Click on the "Names" button.

Hostname:  localhost
Domain:	   localdomain

Search for hostnames in additional domains:
eng.umd.edu
glue.umd.edu
wam.umd.edu

Nameservers:	128.8.5.2
		128.8.74.2
		128.8.76.2

This will take care of /etc/resolv.conf

2)
Click on the "Interfaces" button.
There should be a line something like:
lo	  127.0.0.1	 none	   yes	active

This is your local loopback interface.  It allows you to telnet,
finger, ftp, xhost... your own machine when it's not otherwise
connected to a network.  Don't mess with it.

3)
Click "Add"
Select "PPP"
Click "OK"

Phone Number:		3012090700
Don't use PAP. Dont fill in PPP login name or password.

3)
Click "Customize"
Click "Hardware"
Select		"Use HW flow control..."
Unselect	"Esc control chars..."
Select		"Abort connect on error..."

Line speed:	115200
Port:		/dev/modem
PPP Options:	(leave blank)

4)
Click "Communication"
Modem Init String:	ATZ
Modem Dial Command:	ATDT
Phone Number:		3012090700

Remove all the Expect/Send entries and insert these.  This sets up
your chat script.

Expect			Send
Annex username:		DarthVader
Annex password:		darkside
annex:			ppp
TIMEOUT			5

5)
Click "Networking"
Unselect	"Activate interface at boot..."
Select		"Set default route ..."
Unselect	"Restart PPP..."

6)
Click "PAP"
This should be blank.

7)
Click "Done"
Click "Save"

8)
You should now have a line like this in your netcfg "Interfaces" menu:
ppp0				no   no

9)
Select this line and click "Activate"

10)
Listen to your modem dial and connect.  Wait about 30 seconds.  Then
run ifconfig.  It should look like.

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Bcast:127.255.255.255  Mask:255.0.0.0
          UP BROADCAST LOOPBACK RUNNING  MTU:3584  Metric:1
          RX packets:86 errors:0 dropped:0 overruns:0
          TX packets:86 errors:0 dropped:0 overruns:0

ppp0      Link encap:Point-to-Point Protocol  
          inet addr:128.8.22.217  P-t-P:128.8.10.115  Mask:255.255.0.0
          UP POINTOPOINT RUNNING  MTU:1500  Metric:1
          RX packets:44 errors:0 dropped:0 overruns:0
          TX packets:45 errors:0 dropped:0 overruns:0